#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
export LLVM_DIR=/usr/lib/llvm-6.0/include


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

#override_dh_auto_test:
#override_dh_usrlocal:

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
override_dh_auto_configure:
	#mkdir obj-x86_64-linux-gnu
	#dh_auto_configure -- #i-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
	#cd obj-x86_64-linux-gnu
	#mkdir x86_64-linux-gnu
	mkdir build
	cd build
	-cmake ../../..
	#cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_INSTALL_LOCALSTATEDIR=/var -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON "-GUnix Makefiles" -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_LIBDIR=lib/x86_64-linux-gnu i-DCMAKE_LIBRARY_PATH=x86_64-linux-gnu

override_dh_auto_build:
	make -j$(nproc)
